Bug 992723 - perl-Sys-SigAction FTBFS: t/nested.t segfaults on ARM
perl-Sys-SigAction FTBFS: t/nested.t segfaults on ARM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: perl-Sys-SigAction (Show other bugs)
24
armv7hl Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
http://koschei.cloud.fedoraproject.or...
: Reopened
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-08-05 01:57 EDT by Dennis Gilmore
Modified: 2017-08-08 07:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Sys-SigAction-0.20-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 105091 None None None Never

  None (edit)
Description Dennis Gilmore 2013-08-05 01:57:53 EDT
Your package perl-Sys-SigAction failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5742271

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2271/5742271/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2271/5742271/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2271/5742271/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Paul Howarth 2013-08-05 06:43:23 EDT
Seems to be an intermittent fault in t/nested.t:

$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/mask.t ..... ok
t/name.t ..... ok
t/nested.t ... 
Failed 4/4 subtests 
t/number.t ... ok
         
         NOTE: Setting safe=>1... with masked signals does not seem to work.
         The problem is that the masked signals are not masked when safe=>1.
         When safe=>0 they are.  
         If you have an application for safe=>1 and can come up with 
         a test that works in the context of this module's installation
         please send me a patch to safe.t that tests it.
         
         See the block below this one... which if executed would test safe mode
         with masked signals... it is a clone of part of mask.t that proves this
         is broken.
         Lincoln
         
t/safe.t ..... ok
# delta time was 0.100351, timer was for 0.1 secconds
t/timeout.t .. ok
Test Summary Report
-------------------
t/nested.t (Wstat: 11 Tests: 0 Failed: 0)
  Non-zero wait status: 11
  Parse errors: Bad plan.  You planned 4 tests but ran 0.
Files=6, Tests=40,  9 wallclock secs ( 0.12 usr  0.03 sys +  0.91 cusr  0.11 csys =  1.17 CPU)
Result: FAIL

I tried the latest upstream version and it worked for me locally and in a koji scratch build so I updated it in git... and my first build attempt failed the same way. I tried again and it worked. This issue may turn up again in future but for the time being we can concentrate on other FTBFS packages.
Comment 2 Petr Pisar 2015-06-08 08:55:18 EDT
It always fails on ARM. It passes on other supported platforms. Because this is noarch package, it looks like a random failure. See <http://koschei.cloud.fedoraproject.org/package/perl-Sys-SigAction>.
Comment 3 Jan Kurik 2015-07-15 10:46:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Fedora End Of Life 2016-11-24 06:00:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Petr Pisar 2016-11-24 07:08:33 EST
Upstream will simplify the failing test. It will not fail. It's probably a bug in perl/glibc/kernel, but because the original test so complicated, nobody cannot create a simple reproducer.
Comment 6 Fedora End Of Life 2017-07-25 14:33:55 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 07:42:45 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.